/**
  Copyright (c) 2007 Freescale Semiconductor
  
  \file     Buzzer.c
  \brief    This file provides Buzzer functionalities
  \brief    to the application.
  \author   Freescale Semiconductor
  \author   RF, Analog & Sensor Group
  \author   Eduardo Muriel
  \version  1.3
  \date     18/10/2007
  
* Copyright (c) 2007, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*

*/

#include "Common.h"
#include "Buzzer.h"

UINT8 BuzzerConfigure(UINT8* pu8BuzzCounter)
{   
    BUZZER_SCH(BUZZER_BASE_FREQ_1000HZ);
    *pu8BuzzCounter = (UINT8)BUZZER_BASE_10MS_COUNT;
    
    return STAT_OK;
}