/**
  Copyright (c) 2007 Freescale Semiconductor
  
  \file     GPIO.c
  \brief    This module contains virtual port definitions.
  \author   Freescale Semiconductor
  \author   RF, Analog & Sensor Group
  \author   Eduardo Muriel
  \version  1.3
  \date     18/10/2007
  
* Copyright (c) 2007, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*

*/

#include "GPIO.h"

/** Virtual ports for application */
#pragma CONST_SEG CONST_ROM
const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(A,0)},
                                 {GPIO_PIN(A,1)},
                                 {GPIO_PIN(A,4)}/*,
                                 {GPIO_PIN(A,5)}*/ };
                                 
const VIRTUAL_PORT vpPort2[] = { {GPIO_PIN(A,5)} };                                 
#pragma CONST_SEG DEFAULT