/**
  Copyright (c) 2007 Freescale Semiconductor
  
  \file       main.h
  \brief      This file contains application specific definitions.
  \author     Freescale Semiconductor
  \author     RF, Analog & Sensor Group
  \author     Eduardo Muriel
  \version    1.1
  \date       11/11/2007
  
* Copyright (c) 2007, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*
  
*/

#ifndef _MAIN_H_
#define _MAIN_H_

/*******    Public    *****************/
#define STATE_SCAN        0x00
#define STATE_BUZZ        0x01
#define SAMPLE_T          SCHEDULER_CLK*20 /** 20 ms sampling period              */
#define SAMPLE_AFTER_BUZZ SCHEDULER_CLK*10 /** Sampling period after buzzer event */
#define fBuzz             fScheduledEvent  /** Flag for buzzer event */
#define fStartSample      fScheduledEvent  /** Flag for sample event */

#define SCHEDULE_NEXT_SAMPLE(x)  SCHEDULE_NEW_EVENT(x)

/**************************************/

#endif /** _MAIN_H_ */