/**
  Copyright (c) 2007 Freescale Semiconductor
  
  \file       Common.h
  \brief      Common definitions and type definitions are contained in this file.
  \author     Freescale Semiconductor
  \author     RF, Analog & Sensor Group
  \author     Eduardo Muriel
  \version    1.2
  \date       23/10/2007
  
* Copyright (c) 2007, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*
  
*/

#ifndef _COMMON_H_
#define _COMMON_H_

/*******    Public    *****************/
/** Type definitions */
typedef unsigned char     UINT8;    /** unsigned 8 bit definition   */
typedef unsigned short    UINT16;   /** unsigned 16 bit definition  */
typedef unsigned long     UINT32;   /** unsigned 32 bit definition  */
typedef signed char       INT8;     /** signed 8 bit definition     */
typedef short             INT16;    /** signed 16 bit definition    */
typedef long int          INT32;    /** signed 32 bit definition    */

/** Status codes */
#define STAT_OUT_OF_RANGE     0x01
#define STAT_TIMEOUT          0x10
#define STAT_OK               0x00
/**************************************/

#endif /** _COMMON_H_ */