/**
  Copyright (c) 2007 Freescale Semiconductor
  
  \file     GPIO.c
  \brief    This module contains virtual port definitions.
  \author   Freescale Semiconductor
  \author   RF, Analog & Sensor Group
  \author   Eduardo Muriel
  \version  1.3
  \date     18/10/2007
  
* Copyright (c) 2007, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*

*/

#include "GPIO.h"

/** Virtual ports for application */
/* DEMOJM */
/*const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(G,0)},
                                 {GPIO_PIN(G,1)},
                                 {GPIO_PIN(E,2)},
                                 {GPIO_PIN(E,3)},
                                 {GPIO_PIN(E,6)},
                                 {GPIO_PIN(E,5)},
                                 {GPIO_PIN(E,7)},
                                 {GPIO_PIN(E,4)} };
*/
                                 
/*const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(C,4)},
                                 {GPIO_PIN(C,5)},
                                 {GPIO_PIN(C,2)},
                                 {GPIO_PIN(C,3)},
                                 {GPIO_PIN(B,5)},
                                 {GPIO_PIN(B,4)},
                                 {GPIO_PIN(B,6)},
                                 {GPIO_PIN(B,7)} };*/

/* DEMOQE128 */
const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(A,2)},
                                 {GPIO_PIN(A,3)},
                                 {GPIO_PIN(C,0)},
                                 {GPIO_PIN(C,1)},
                                 {GPIO_PIN(B,3)},
                                 {GPIO_PIN(B,4)},
                                 {GPIO_PIN(B,2)},
                                 {GPIO_PIN(B,5)} };

/*const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(C,0)},
                                 {GPIO_PIN(C,1)},
                                 {GPIO_PIN(D,6)},
                                 {GPIO_PIN(B,7)},
                                 {GPIO_PIN(C,4)},
                                 {GPIO_PIN(C,5)},
                                 {GPIO_PIN(C,6)},
                                 {GPIO_PIN(C,7)} };*/
/* DEMOQG */                                 
/*const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(A,2)},
                                 {GPIO_PIN(A,3)},
                                 {GPIO_PIN(A,3)},
                                 {GPIO_PIN(A,0)},
                                 {GPIO_PIN(B,3)},
                                 {GPIO_PIN(B,4)},
                                 {GPIO_PIN(B,2)},
                                 {GPIO_PIN(B,5)} };
*/
/*const VIRTUAL_PORT vpPort1[] = { {GPIO_PIN(G,2)},
                                 {GPIO_PIN(G,3)},
                                 {GPIO_PIN(D,2)},
                                 {GPIO_PIN(D,3)},
                                 {GPIO_PIN(E,4)},
                                 {GPIO_PIN(E,5)},
                                 {GPIO_PIN(E,3)},
                                 {GPIO_PIN(E,2)} };*/
                                 
const VIRTUAL_PORT vpPort2[] = { {GPIO_PIN(E,7)} };                                 